<template>
    <div id="spot-list">
        <Nav></Nav>
        <br>
        <br>

        
        <VideoApp></VideoApp>
        
        <br>   
        <br>
        <div class="space"></div>
        <div id="spot-container">
            
            <SpotCard id="card" v-for="(locationObject,index) in locationsArray" :key="index" :location="locationObject"  @click.native="showModal = true; item =locationObject.img"/>

         
            <transition name="fade" appear>
                <div class="modal-overlay" v-if="showModal" @click="showModal = false"></div>
            </transition>
            <transition name="slide" appear>
                <div class="modal" v-if="showModal">
                <img :src="item">
                <button class="button" @click="showModal = false">
                    Close
                </button>
                </div>
            </transition>
            
        </div>

        
    </div>    
</template>

<script>
import SpotCard from '@/components/SpotCard.vue'
import json from '@/data.json'
import Nav from '@/components/Nav.vue';
import VideoApp from '@/components/Video.vue';




export default {
    components: {
        SpotCard,
        Nav,
        VideoApp
        
        
    },
    data() {
        return{
            
            locationObject: "",
            locationsArray: json,
            showModal: false,
            item: ""
            

        }
    },
    methods: {
        

    },

    mounted() {
        
    },

    computed: {

    }
}
</script>

<style scoped>

#spot-container {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
   
    margin:0;
}

.card {
    cursor: pointer;
}


.button {
 appearance: none;
 outline: none;
 border: none;
 background: none;
 cursor: pointer;
 
 display: inline-block;
 padding: 15px 25px;
 background-image: linear-gradient(to right, #CC2E5D, #FF5858);
 border-radius: 8px;
 
 color: #FFF;
 font-size: 18px;
 font-weight: 700;
 
 box-shadow: 3px 3px rgba(0, 0, 0, 0.4);
 transition: 0.4s ease-out;
 
 /* &:hover {
  box-shadow: 6px 6px rgba(0, 0, 0, 0.6);
 } */
}

.modal-overlay {
 position: absolute;
 top: 0;
 left: 0;
 right: 0;
 bottom: 0;
 z-index: 98;
 background-color: rgba(0, 0, 0, 0.6);
}

.modal {
 position: fixed;
 top: 50%;
 left: 50%;
 transform: translate(-50%, -50%);
 z-index: 99;
 
 width: 100%;
 max-width: 750px;
 background-color: #FFF;
 border-radius: 16px;
 
 padding: 25px;
 

}

.fade-enter-active,
.fade-leave-active {
 transition: opacity .5s;
}

.fade-enter,
.fade-leave-to {
 opacity: 0;
}

.slide-enter-active,
.slide-leave-active {
 transition: transform .5s;
}

/* .slide-enter,
.slide-leave-to {
 transform: translateY(-50%) translateX(100vw);
} */

img {
     width: 100%;
     max-width: 900px;
}


/* .think {
    position: fixed;
    display: flex;
    justify-content: center;
} */

.space {
    height: 40px;
    margin-top:30px;
    margin-bottom: 30px;
    
}


</style>